### Enumeration

# Gimp AddMaskType

#### Declaration

    enum Gimp.AddMaskType

#### Description [src]

Modes of initialising a layer mask.

#### Members

Name | Description
--- | ---
`GIMP_ADD_MASK_WHITE` | White (full opacity)
`GIMP_ADD_MASK_BLACK` | Black (full transparency)
`GIMP_ADD_MASK_ALPHA` | Layer’s alpha channel.
`GIMP_ADD_MASK_ALPHA_TRANSFER` | Transfer layer’s alpha channel.
`GIMP_ADD_MASK_SELECTION` | Selection.
`GIMP_ADD_MASK_COPY` | Grayscale copy of layer.
`GIMP_ADD_MASK_CHANNEL` | Channel.